Mailinglist Archive: opensuse-factory (826 mails)

< Previous Next >
Re: [opensuse-factory] Re: XFCE upcoming / planned stuff
On Mon, 9 Oct 2017 20:14:52 +0200, Stefan Seyfried
<stefan.seyfried@xxxxxxxxxxxxxx> wrote:

Hi,

Am 09.10.2017 um 17:59 schrieb H.Merijn Brand:
On Mon, 09 Oct 2017 17:50:50 +0200, Takashi Iwai <tiwai@xxxxxxx> wrote:

On Mon, 09 Oct 2017 17:41:36 +0200,
Stefan Seyfried wrote:

[...]

Actually, it is more:
--8<---
# zypper in -l in xfce4-panel-plugin-whiskermenu
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 11 NEW packages are going to be installed:
libgarcon-1-0 libgarcon-branding-openSUSE libgarcon-data libgarcon-lang
libxfce4panel-2_0-4 libxfce4ui-tools openSUSE-xfce-icon-theme
xfce4-panel-plugin-whiskermenu
xfce4-panel-plugin-whiskermenu-lang xfce4-settings-branding-openSUSE
xfce4-splash-branding-openSUSE

Hm, is this a xfce system? On Tumbleweed or on Leap?

TumbleWeed with KDE/Plasma

Because:
susi:~ # rpm -e --test libgarcon-1-0
error: Failed dependencies:
libgarcon-1.so.0()(64bit) is needed by (installed)
xfce4-appfinder-4.12.0-1.8.x86_64
libgarcon-1.so.0()(64bit) is needed by (installed)
xfce4-settings-4.12.1-73.10.x86_64
libgarcon-1.so.0()(64bit) is needed by (installed)
xfce4-panel-4.12.1-104.14.x86_64
libgarcon-1.so.0()(64bit) is needed by (installed)
libxfdashboard0-0.7.4-2.4.x86_64
libgarcon-1.so.0()(64bit) is needed by (installed)
xfce4-panel-plugin-whiskermenu-2.1.3-50.1.x86_64
libgarcon-1.so.0()(64bit) is needed by (installed)
xfdesktop-4.12.4-79.6.x86_64
libgarcon-gtk2-1.so.0()(64bit) is needed by (installed)
xfce4-panel-4.12.1-104.14.x86_64

so at least with the current stuff accepted to TW with 20171007 you basically
cannot go without libgarcon-1-0 anyway.
libxfce4panel-2_0-4 is now required by xfce4-panel, so this is also nothing
you can avoid by not requiring whiskermenu.

The following 3 recommended packages were automatically selected:
libgarcon-data libgarcon-lang xfce4-panel-plugin-whiskermenu-lang

11 new packages to install.
Overall download size: 873.0 KiB. Already cached: 0 B. After the operation,
additional 1.8 MiB will be used.
-->8---

which will be added to my already loaded system
--8<---
# rpm -qa | wc -l
8082
# zypper se | grep ^i | wc -l
8280
-->8---

I tried it on the xfce-tumbleweed-latest Live CD and it was only 2 packages
(whiskermenu and -lang), as the rest was already installed.

Best regards,

Stefan


--
H.Merijn Brand http://tux.nl Perl Monger http://amsterdam.pm.org/
using perl5.00307 .. 5.27 porting perl5 on HP-UX, AIX, and openSUSE
http://mirrors.develooper.com/hpux/ http://www.test-smoke.org/
http://qa.perl.org http://www.goldmark.org/jeff/stupid-disclaimers/
< Previous Next >
Follow Ups